Bug 212491 - rpmlint complains about three letter locale codes
rpmlint complains about three letter locale codes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 20:02 EDT by David Lehman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.79-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 11:06:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
allow three letter locales (564 bytes, patch)
2006-10-26 20:02 EDT, David Lehman
no flags Details | Diff

  None (edit)
Description David Lehman 2006-10-26 20:02:54 EDT
Description of problem:
When running rpmlint on a package that includes localized strings for the "nso"
locale, an incorrect-locale-subdir error is printed.

Version-Release number of selected component (if applicable):
rpmlint-0.78-2.fc5

How reproducible:
Always

Steps to Reproduce:
1. start with a package that includes a message catalog for "nso" locale (eg:
firstboot)
2. run rpmlint on the package (rpmlint firstboot-1.4.6-1.noarch.rpm)
3.
  
Actual results:
E: firstboot incorrect-locale-subdir /usr/share/locale/nso/LC_MESSAGES/firstboot.mo

Expected results:
no complaints

Additional info:
Presumably this issue is also present in FC6.
Comment 1 David Lehman 2006-10-26 20:02:54 EDT
Created attachment 139542 [details]
allow three letter locales
Comment 2 Ville Skyttä 2006-10-28 03:14:48 EDT
Thanks, applied upstream as 
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1291, will be in the next 
rpmlint release.
Comment 3 Ville Skyttä 2007-02-02 11:06:31 EST
Done in upcoming 0.79-1.

Note You need to log in before you can comment on or make changes to this bug.